gexbot api
classic

gex chain

Provides a ladder-style histogram of GEX by Open Interest and Volume. Call GEX is netted against Put GEX for each strike. Includes historical "lookback" data

GET/{TICKER}/classic/{AGGREGATION_PERIOD}Classic Tier

chart

Powers the gexbot classic chart.

Provides a ladder-style histogram of GEX by Open Interest and Volume. Call GEX is netted against Put GEX for each strike. Includes historical "lookback" data points and major calculated levels.

Subscription

Requires a Classic subscription or higher.

Request

Example: /SPX/classic/zero

Headers

NameTypeDescription
AuthorizationstringRequired. Format: "Bearer <YOUR_API_KEY>"
User-AgentstringRequired. Identify your client application.
AcceptstringRequired. Set to "application/json".

Path parameters

NameTypeDescription
TICKERstringDesired ticker symbol (e.g., SPX).
AGGREGATION_PERIODstringAggregation period: full, zero, or one.

Response

FieldTypeDescription
timestampnumberThe Unix timestamp of when the data was generated.
tickerstringThe ticker symbol for the requested asset.
min_dtenumberThe days-to-expiration (DTE) for the nearest expiry.
sec_min_dtenumberThe days-to-expiration (DTE) for the next expiry.
spotnumberThe spot price of the underlying asset at the time of calculation.
zero_gammanumberThe center of the options complex, according to a spline interpolation on gex by volume.
major_pos_volnumberThe strike with the most positive gamma exposure, based on volume.
major_pos_oinumberThe strike with the most positive gamma exposure, based on open interest.
major_neg_volnumberThe strike with the most negative gamma exposure, based on volume.
major_neg_oinumberThe strike with the most negative gamma exposure, based on open interest.
strikesarrayAn array of strike data. Each inner array contains [strike, gex by volume, gex by open interest, priors]. Priors are historical GEX values at set intervals.
sum_gex_volnumberThe total gamma exposure based on volume across all strikes.
sum_gex_oinumberThe total gamma exposure based on open interest across all strikes.
delta_risk_reversalnumberVestigial metric, discontinued.
max_priorsarrayAn array showing the strikes with the largest GEX change over various time intervals (1, 5, 10, 15, 30 min).
{
  "timestamp": 1753283590,
  "ticker": "SPX",
  "min_dte": 0,
  "sec_min_dte": 1,
  "spot": 6326.5,
  "zero_gamma": 6323.8,
  "major_pos_vol": 6340,
  "major_pos_oi": 6330,
  "major_neg_vol": 6315,
  "major_neg_oi": 6300,
  "strikes": [
    [
      6110,
      -0.17,
      -10.65,
      [
        -0.17,
        -0.17,
        -0.21,
        -0.21,
        -0.24
      ]
    ],
    [
      6115,
      -0.07,
      -4.77,
      [
        -0.07,
        -0.07,
        -0.07,
        -0.07,
        -0.01
      ]
    ],
    "...",
    [
      6540,
      0,
      0.06,
      [
        0,
        0,
        0,
        0,
        0
      ]
    ]
  ],
  "sum_gex_vol": 36316.42772,
  "sum_gex_oi": 15976.06365,
  "delta_risk_reversal": -1.486,
  "max_priors": [
    [
      6325,
      -1418.293
    ],
    [
      6340,
      -1677.922
    ],
    [
      6340,
      -2669.46
    ],
    [
      6315,
      -2816.621
    ],
    [
      6330,
      3726.659
    ],
    [
      6340,
      8129.162
    ]
  ]
}
{
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "integer",
      "format": "int64"
    },
    "ticker": {
      "type": "string",
      "minLength": 2,
      "maxLength": 5
    },
    "min_dte": {
      "type": "integer"
    },
    "sec_min_dte": {
      "type": "integer"
    },
    "spot": {
      "type": "number",
      "format": "double"
    },
    "zero_gamma": {
      "type": "number"
    },
    "major_pos_vol": {
      "type": "number"
    },
    "major_pos_oi": {
      "type": "number"
    },
    "major_neg_vol": {
      "type": "number"
    },
    "major_neg_oi": {
      "type": "number"
    },
    "strikes": {
      "type": "array",
      "items": {
        "type": "array"
      }
    },
    "sum_gex_vol": {
      "type": "number"
    },
    "sum_gex_oi": {
      "type": "number"
    },
    "delta_risk_reversal": {
      "type": "number"
    },
    "max_priors": {
      "type": "array",
      "items": {
        "type": "array"
      }
    }
  },
  "additionalProperties": false
}
type: object
properties:
  timestamp:
    type: integer
    format: int64
  ticker:
    type: string
    minLength: 2
    maxLength: 5
  min_dte:
    type: integer
  sec_min_dte:
    type: integer
  spot:
    type: number
    format: double
  zero_gamma:
    type: number
  major_pos_vol:
    type: number
  major_pos_oi:
    type: number
  major_neg_vol:
    type: number
  major_neg_oi:
    type: number
  strikes:
    type: array
    items:
      type: array
  sum_gex_vol:
    type: number
  sum_gex_oi:
    type: number
  delta_risk_reversal:
    type: number
  max_priors:
    type: array
    items:
      type: array
additionalProperties: false

On this page